RTEMS: cpukit/include/rtems/trace/rtems-trace-buffer-vars.h File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Structures | Typedefs | Functions
rtems-trace-buffer-vars.h File Reference

Access to the RTEMS Trace Buffer Generator (TBG). More...

Go to the source code of this file.

## Data Structures
struct | __rtld_trace_sig_arg
struct | __rtld_trace_sig

## Typedefs
typedef __rtld_trace_sig_arg | rtems_trace_sig_arg
typedef __rtld_trace_sig | rtems_trace_sig

## Functions
uint32_t | rtems_trace_names_size (void)
const char * | rtems_trace_names (const uint32_t index)
uint32_t | rtems_trace_enables_size (void)
uint32_t | rtems_trace_enables (const uint32_t index)
uint32_t | rtems_trace_triggers_size (void)
uint32_t | rtems_trace_triggers (const uint32_t index)
const rtems_trace_sig * | rtems_trace_signatures (const uint32_t index)
bool | rtems_trace_enable_set (const uint32_t index)
bool | rtems_trace_trigger_set (const uint32_t index)
bool | rtems_trace_buffering_present (void)
uint32_t | rtems_trace_buffering_mode (void)
uint32_t | rtems_trace_buffering_buffer_size (void)
uint32_t * | rtems_trace_buffering_buffer (void)
uint32_t | rtems_trace_buffering_buffer_in (void)
bool | rtems_trace_buffering_finished (void)
bool | rtems_trace_buffering_triggered (void)
void | rtems_trace_buffering_start (void)
void | rtems_trace_buffering_stop (void)
void | rtems_trace_buffering_resume (void)

## Detailed Description

Access to the RTEMS Trace Buffer Generator (TBG).

## Function Documentation

## ◆ rtems_trace_buffering_buffer()

uint32_t * rtems_trace_buffering_buffer | ( | void |  | ) |

Return the base of the trace buffering buffer.

## ◆ rtems_trace_buffering_buffer_in()

uint32_t rtems_trace_buffering_buffer_in | ( | void |  | ) |

Return the buffer level. This is only stable if tracing has finished.

## ◆ rtems_trace_buffering_buffer_size()

uint32_t rtems_trace_buffering_buffer_size | ( | void |  | ) |

Return the size of the trace buffering buffer in words.

## ◆ rtems_trace_buffering_finished()

bool rtems_trace_buffering_finished | ( | void |  | ) |

The tracing has finished.

## ◆ rtems_trace_buffering_mode()

uint32_t rtems_trace_buffering_mode | ( | void |  | ) |

Return the trace buffering mode flags.

## ◆ rtems_trace_buffering_present()

bool rtems_trace_buffering_present | ( | void |  | ) |

The application has been linked with Trace Buffering generated code.

## ◆ rtems_trace_buffering_resume()

void rtems_trace_buffering_resume | ( | void |  | ) |

Resume tracing by setting the finished flag.

## ◆ rtems_trace_buffering_start()

void rtems_trace_buffering_start | ( | void |  | ) |

Start tracing by clearing the triggered flag, setting to 0 and clearing the finished flag.

## ◆ rtems_trace_buffering_stop()

void rtems_trace_buffering_stop | ( | void |  | ) |

Stop tracing by setting the finished flag.

## ◆ rtems_trace_buffering_triggered()

bool rtems_trace_buffering_triggered | ( | void |  | ) |

Trace has been triggered and enable trace functions are being recorded.

## ◆ rtems_trace_enable_set()

bool rtems_trace_enable_set | ( | const uint32_t | index | ) |

Return true is the enable bit is set for the trace function index.

## ◆ rtems_trace_enables()

uint32_t rtems_trace_enables | ( | const uint32_t | index | ) |

Return the enable 32bit bitmap indexed into the enables array. No range checking.

## ◆ rtems_trace_enables_size()

uint32_t rtems_trace_enables_size | ( | void |  | ) |

Returns the number of words in the enables array.

## ◆ rtems_trace_names()

const char * rtems_trace_names | ( | const uint32_t | index | ) |

Return the name given an index. No range checking.

## ◆ rtems_trace_names_size()

uint32_t rtems_trace_names_size | ( | void |  | ) |

Returns the number of trace functions.

## ◆ rtems_trace_signatures()

const rtems_trace_sig * rtems_trace_signatures | ( | const uint32_t | index | ) |

Return the trace function signature.

## ◆ rtems_trace_trigger_set()

bool rtems_trace_trigger_set | ( | const uint32_t | index | ) |

Return true is the trigger bit is set for the trace function index.

## ◆ rtems_trace_triggers()

uint32_t rtems_trace_triggers | ( | const uint32_t | index | ) |

Return the trigger 32bit bitmap indexed into the triggers array. No range checking.

## ◆ rtems_trace_triggers_size()

uint32_t rtems_trace_triggers_size | ( | void |  | ) |

Returns the number of words in the triggers array.